import * as kinesis from '@aws-cdk/aws-kinesis';
import * as cdk from '@aws-cdk/core';
import { GenericRestApiAwsIntegration, GenericRestApiAwsIntegrationProps } from "./generic-rest-api-aws-integration";
/**
 * Integrates a Kinesis Stream with ApiGateway (RestApi) by publishing Queue messages on http request
 */
export interface KinesisRestApiIntegrationProps extends GenericRestApiAwsIntegrationProps {
    /**
     * The target kinesis Queue to which messages will be sent by the RestApi Integration
     */
    stream: kinesis.Stream;
}
export declare class KinesisRestApiIntegration extends GenericRestApiAwsIntegration {
    constructor(scope: cdk.Construct, id: string, props: KinesisRestApiIntegrationProps);
    init(id: string, props: KinesisRestApiIntegrationProps): void;
    configureAwsService(id: string, props: KinesisRestApiIntegrationProps): void;
}
